Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: martin rudalics <[email-masked]>
Date: Mon, 14 Feb 2022 19:08:57 +0100

> Case 1, on which everything else depends, is a matter of Emacs sending
 > stretches of text to the spell-checker, which currently (at least with
 > Hunspell) does not deal with punctuation very well, though there are plans
 > to improve Hunspell, according to the issue I linked to earlier.
 >
 > None of these would benefit from special-casing treatment of the period or
 > any other character in ispell.el, I think.

Attached find my code which works with Hunspell and utf-8 coded buffers
only.  Add to your .emacs something like

(load "~/speck.el" nil t)

(custom-set-variables
  '(speck-dictionaries-alist '((0 "en_US" nil nil) (1 "de_AT" nil nil) (2 "en_US" ("de_AT") nil)))
  '(speck-wordchars-alist
    '(("en_US" "'´`" nil)
      ("fr_FR" "’'" nil)
      ("en_US,fr_FR" "'´`’'" nil))))

(global-set-key [(f7)] 'speck-mode)

customize 'speck-wordchars-alist' according to your like (the above are
the values I use - you probably want to add options for en_GB), hit F7
in some window you want to check and tell me if special-casing treatment
of characters with that option works.

martin